<main>
    <div class="container">
        <div class="row">
            <h1>Hola {{usuario}}</h1>
            <button class="btn btn-primary" (click)="logout()">Cerrar sesión</button>
        </div>
        <div class="row">
            <div class="col text-right">
                <button class="btn btn-primary mr-2" (click)="revisar()" [disabled]="!selectItem.id">
                    Revisar
                </button>
            </div>
        </div>
        <table class="table table-hover mt-5">
            <thead>
                <tr>
                    <th>Nombre Credito</th>
                    <th>Monto</th>
                    <th>SBS</th>
                    <th>Sentinel</th>
                    <th>IA</th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let item of data" (click)="selectItem=item" [ngClass]="{'highlighted': 'selectItem == item'}">
                    <td>{{ item.nombre_credito }}</td>
                    <td>{{ item.monto_credito }}</td>
                    <td>{{ item.monto_sbs }}</td>
                    <td>{{ item.puntuacion_sentinel }}</td>
                    <td>{{ item.indicador_ia }}</td>
                </tr>
            </tbody>
        </table>
    </div>
</main>